# Uses of Class
org.eclipse.jdt.core.refactoring.descriptors.ExtractClassDescriptor.Field

Packages that use ExtractClassDescriptor.Field
Package
Description
org.eclipse.jdt.core.refactoring.descriptors
Application programming interface to access Java refactorings provided by JDT.

## Uses of ExtractClassDescriptor.Field in org.eclipse.jdt.core.refactoring.descriptors

Methods in org.eclipse.jdt.core.refactoring.descriptors that return ExtractClassDescriptor.Field
Modifier and Type
Method
Description
`ExtractClassDescriptor.Field[]`
ExtractClassDescriptor.`getFields()`
Returns the fields.
`static ExtractClassDescriptor.Field[]`
ExtractClassDescriptor.`getFields(IType type)`
Creates `ExtractClassDescriptor.Field` objects for all instance fields of the type
Methods in org.eclipse.jdt.core.refactoring.descriptors with parameters of type ExtractClassDescriptor.Field
Modifier and Type
Method
Description
`void`
ExtractClassDescriptor.`setFields(ExtractClassDescriptor.Field[] fields)`
Sets the fields.